42a47477a3fe30d1611b1c1826a333751c74627e
 src/message.h | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/src/message.h b/src/message.h
index b7bdfe4..ec78f99 100644
--- a/src/message.h
+++ b/src/message.h
@@ -29,5 +29,32 @@ extern void warn_uncond(const char *fmt, ...);
 extern void err(const char *fmt, ...);
 void initWarningFormat();
 
+/*
+After SHA-1: 3c0a246bd1bcf6f0d560394fd81616260a174ae8 (2013-11-14),
+we cannot build doxygen because the definitions below are not found.
+The constants below are used as the first parameter of printlex() function.
+*/
+enum
+{
+	fortranscannerYY_flex_debug = 1, // Should not be zero. see the definition of printlex() on message.cpp.
+	preYY_flex_debug,
+	fortrancodeYY_flex_debug,
+	defargsYY_flex_debug,
+	doctokenizerYY_flex_debug,
+	pycodeYY_flex_debug,
+	vhdlcodeYY_flex_debug,
+	vhdlscannerYY_flex_debug,
+	pyscannerYY_flex_debug,
+	scannerYY_flex_debug,
+	declinfoYY_flex_debug,
+	commentscanYY_flex_debug,
+	configYY_flex_debug,
+	commentcnvYY_flex_debug,
+	cppExpYY_flex_debug,
+	codeYY_flex_debug,
+	constexpYY_flex_debug,
+	tclscannerYY_flex_debug,
+};
+
 extern void printlex(int dbg, bool enter, const char *lexName, const char *fileName);
 #endif
